#!/bin/bash
VBoxManage list hostonlyifs |
    while IFS= read -r line; do
	if [[ ${line} =~ ^Name ]]; then
	    lastIf=$(echo ${line} | cut -d' ' -f 2)
	fi

	if [[ ${line} =~ ^IPAddress ]]; then
	    lastIfIP=$(echo ${line} | cut -d' ' -f 2)
	fi

	if [[ ${line} =~ ^NetworkMask ]]; then
	    lastIfNetM=$(echo ${line} | cut -d' ' -f 2)
	    sudo ip link set up dev ${lastIf}
	    sudo ip a a ${lastIfIP}/${lastIfNetM} dev ${lastIf}
	    unset -v lastIf lastIfIP lastIfNetM
	fi
    done
